Subject: bug#14500: closed (Re: bug#14500: t/subpkg.sh fails when $CC is not cc)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 May 2013 09:34:02 +0000

Your bug report

#14500: t/subpkg.sh fails when $CC  is not cc

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14500: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14500
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14500: t/subpkg.sh fails when $CC is not cc
From: Stefano Lattarini <[email-masked]>
To: Peter Rosin <[email-masked]>
Cc: [email-masked], "[email-masked]" <[email-masked]>
Date: Wed, 29 May 2013 11:32:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 05/29/2013 09:24 AM, Peter Rosin wrote:
> Hi!
> 
> I'm configuring Automake master (baf8a1c22acce0908) with:
> 
> ./configure CC=".../compile cl ..." ...
> 
> This appears to cause the below FAIL in t/subpkg.sh.
> 
> Cheers,
> Peter
> 
> *snip*
> checking whether /home/peda/automake/lib/compile cl -nologo understands -c and -o together... yes
> *snip*
> === configuring in lib (/home/peda/automake/t/subpkg.dir/lib)
> *snip*
> checking whether /home/peda/automake/lib/compile cl -nologo understands -c and -o together... yes
> *snip*
> + grep '^checking whether cc understands -c and -o together' stdout
> + am_exit_trap 1
> *snip*
> 
Yep, I can reproduce the issue.  Fixed with the patch below.  I'm thus closing the
bug report.

Thanks,
  Stefano

---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ----

>From 6e45cbfbebf6b18f68b7195a1d3a31855c533fce Mon Sep 17 00:00:00 2001
Message-Id: <6e45cbfbe[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Wed, 29 May 2013 11:31:25 +0200
Subject: [PATCH] tests: avoid a spurious failure when $CC != cc

Fixes automake bug#14500.

* t/subpckg.sh: Improve the grepping of configure output.

Signed-off-by: Stefano Lattarini <[email-masked]>
---
 t/subpkg.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/subpkg.sh b/t/subpkg.sh
index 1223b13..f152943 100644
--- a/t/subpkg.sh
+++ b/t/subpkg.sh
@@ -104,7 +104,7 @@ cd ..

 ./configure >stdout || { cat stdout; exit 1; }
 cat stdout
-grep '^checking whether cc understands -c and -o together' stdout
+$FGREP "checking whether $CC understands -c and -o together" stdout

 $MAKE
 $MAKE distcheck
-- 
1.8.3.rc3.8.g5e49f30

Subject: t/subpkg.sh fails when $CC is not cc
From: Peter Rosin <[email-masked]>
To: [email-masked]
Date: Wed, 29 May 2013 09:24:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I'm configuring Automake master (baf8a1c22acce0908) with:

./configure CC=".../compile cl ..." ...

This appears to cause the below FAIL in t/subpkg.sh.

Cheers,
Peter

*snip*
checking whether /home/peda/automake/lib/compile cl -nologo understands -c and -o together... yes
*snip*
=== configuring in lib (/home/peda/automake/t/subpkg.dir/lib)
*snip*
checking whether /home/peda/automake/lib/compile cl -nologo understands -c and -o together... yes
*snip*
+ grep '^checking whether cc understands -c and -o together' stdout
+ am_exit_trap 1
*snip*